Skip to main content
GET
/
backpre-order
/
backorderpreorder-reserve
Get backOrderPreOrderReservation
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
{
  "message": "Bad Request"
}
{
  "message": "Object Not Found."
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

BackOrderPreOrderReservationId
string

Response

backOrderPreOrderReservation returned

BackOrderPreOrderReservation Model

orderNumber
string
required
Example:

"order_123"

sku
string
required
Example:

"sku_123"

lineItemId
string
required
Example:

"0"

type
string
required
Example:

"BACKORDER"

orderDate
string<date-time>
required
Example:

"2022-04-12T09:30:31.198Z"

backOrderedQuantity
integer<int32>
required
Example:

5

locationNum
integer<int32>
required
Example:

23

channelId
string
required
Example:

"channel_12"

orderStatusCode
string
required
Example:

"Created"

id
string
Example:

"1"

itemId
string
Example:

"123"

cartId
string
Example:

"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"

toReleaseQuantity
integer<int32>
Example:

0

vendorId
string
Example:

"vendor_123"

Example:

"true"

Example:

"2022-07-12T09:30:31.198Z"

lastNotificationDate
string<date-time>
Example:

"2022-06-12T09:30:31.198Z"

toNotify
string
Example:

"false"

lineItemStatus
string
Example:

"CANCELLED"

paymentStatus
string
Example:

"OK"